Public Member Functions | Public Attributes | List of all members
HanMacWrdKParserInternal::State Struct Reference

Internal: the state of a HanMacWrdKParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
long | m_zonesListBegin
| the list of zone begin More...
std::multimap< long, shared_ptr< HanMacWrdKZone > > | m_zonesMap
| a map of entry: zoneId->zone More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a HanMacWrdKParser.

## Constructor & Destructor Documentation

## ◆ State()

HanMacWrdKParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int HanMacWrdKParserInternal::State::m_actPage

the actual page

## ◆ m_footerHeight

int HanMacWrdKParserInternal::State::m_footerHeight

the footer height if known

## ◆ m_headerHeight

int HanMacWrdKParserInternal::State::m_headerHeight

the header height if known

## ◆ m_numPages

int HanMacWrdKParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_zonesListBegin

long HanMacWrdKParserInternal::State::m_zonesListBegin

the list of zone begin

## ◆ m_zonesMap

std::multimap<long,shared_ptr<HanMacWrdKZone> > HanMacWrdKParserInternal::State::m_zonesMap

a map of entry: zoneId->zone

The documentation for this struct was generated from the following file:

- HanMacWrdKParser.cxx